%define pkg_name        Rose-Conf
%define pkg_version     0.021
%define rpm_pkg_version 0.02_1
%define rpm_pkg_release 2.n0i.2

Summary:       Configuration module base class
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JS/JSIRACUSA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Rose::Object)
BuildRequires: perl(Tie::Hash)


%description
Rose::Conf is a base class that promotes the collect all configuration
information for a module into a separate, lighter-weight module.
Configuration information may be imported as a hash into other packages
under any desired name, accessed via a "param()" class method, or through
a reference to the configuration hash returned by the "conf_hash()" class
method.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.02_1-2.n0i.2.0.021
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Mon Jul 03 2006 Marius Feraru <altblue@n0i.net> - 0.02_1-1.n0i.1.0.021
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
